import request from '@/utils/request'

// 查询消防竖管列表
export function listStandpipe(query) {
  return request({
    url: '/dev/standpipe/list',
    method: 'get',
    params: query
  })
}

// 查询消防竖管详细
export function getStandpipe(id) {
  return request({
    url: '/dev/standpipe/' + id,
    method: 'get'
  })
}

// 新增消防竖管
export function addStandpipe(data) {
  return request({
    url: '/dev/standpipe',
    method: 'post',
    data: data
  })
}

// 修改消防竖管
export function updateStandpipe(data) {
  return request({
    url: '/dev/standpipe',
    method: 'put',
    data: data
  })
}

// 删除消防竖管
export function delStandpipe(id) {
  return request({
    url: '/dev/standpipe/' + id,
    method: 'delete'
  })
}
